| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::PreApplyTextureAliasesScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::PreApplyTextureAliasesScriptCompilerEvent:
[legend]

## Public Member Functions
| PreApplyTextureAliasesScriptCompilerEvent (Material *material, AliasTextureNamePairList *aliases)

## Public Attributes
AliasTextureNamePairList * | mAliases
Material * | mMaterial
String | mType

## Static Public Attributes
static String | eventType

## Constructor & Destructor Documentation

## ◆ PreApplyTextureAliasesScriptCompilerEvent()

Ogre::PreApplyTextureAliasesScriptCompilerEvent::PreApplyTextureAliasesScriptCompilerEvent | ( | Material * | material,
|  | AliasTextureNamePairList * | aliases
| ) |  |
| inline

## Member Data Documentation

## ◆ mMaterial

Material* Ogre::PreApplyTextureAliasesScriptCompilerEvent::mMaterial

## ◆ mAliases

AliasTextureNamePairList* Ogre::PreApplyTextureAliasesScriptCompilerEvent::mAliases

## ◆ eventType

String Ogre::PreApplyTextureAliasesScriptCompilerEvent::eventType
| static

## ◆ mType

String Ogre::ScriptCompilerEvent::mType
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h